org.eclipse.graphiti.features

## Interface IMoveAnchorFeature

All Superinterfaces:
  IDescription, IFeature, IFeatureProviderHolder, IMoveFeature, IName

All Known Implementing Classes:
  DefaultMoveAnchorFeature

    public interface IMoveAnchorFeature
    extends IMoveFeature

The Interface IMoveAnchorFeature. Layouting shapes means to change their ccordinates or/and their parent.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canMoveAnchor(IMoveAnchorContext context)` Can move anchor.
`void` `moveAnchor(IMoveAnchorContext context)` Move anchor.
`void` `postMoveAnchor(IMoveAnchorContext context)` Post move anchor.
`void` `preMoveAnchor(IMoveAnchorContext context)` Pre move anchor.

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Method Detail

#### canMoveAnchor

    boolean canMoveAnchor(IMoveAnchorContext context)

Can move anchor.

Parameters:
  `context` - the context
Returns:
  true, if successful

#### moveAnchor

    void moveAnchor(IMoveAnchorContext context)

Move anchor.

Parameters:
  `context` - the context

#### preMoveAnchor

    void preMoveAnchor(IMoveAnchorContext context)

Pre move anchor.

Parameters:
  `context` - the context

#### postMoveAnchor

    void postMoveAnchor(IMoveAnchorContext context)

Post move anchor.

Parameters:
  `context` - the context